<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.5 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

class Qcm_controller extends Controller
{
    protected $_lang = array();          // Données de langue
    protected $_config = array();        // Données de configuration

    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */
    function __construct()
    {
        parent :: __construct();

        $this -> load_helper('page_helper');
        $this -> load_addon_helper('qcm', 'add_qcm_results_helper');
    }

    /*
    |--------------------------------------------------------------------------
    | Methods
    |--------------------------------------------------------------------------
    */
    public function index()
    {
       $this -> add_qcm_results_helper -> index(); 
    }

	// --------------------------------------------------------------------

    /**
     * Affiche ou renvoie le contenu de la vue
     *
     * @param string Nom du fichier de la vue
     * @param array Données à faire passer à la vue
     * @param boolean Renvoie le contenu (TRUE) ou affiche (FALSE) de la vue
     * @return string|void
     */
    public function render_page($filename, $data = array(), $return = FALSE)
    {
        $this -> page_helper -> set_page_layout('public_layout');
        
        return $this -> page_helper -> render_page($filename, $data, $return);
    }

	// --------------------------------------------------------------------

	/**
	 * définit et renvoie les ajouts (js et css) dans l'entête de la page
     * 
     * @access public
	 * @return string Chaine html contenant les ajouts js et css
	 */	
    public function set_header_addons()
    {
        $parent_addons = $this -> add_qcm_results_helper -> set_header_addons();
                
        $js = '';
        $js .= '<script type="text/javascript" src="'.QCM_JS_PATH.'/qcm.js"></script>'."\n";
    //    $js .= '<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.1.20/jquery.fancybox.min.js"></script>'."\n";

        $css = '';
        $css .= '<link rel="stylesheet" type="text/css" href="'.QCM_CSS_PATH.'/qcm.css" />'."\n";
      //  $css .= '<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/3.1.20/jquery.fancybox.min.css" />'."\n";

        return $css.$js.$parent_addons;        
    }

	// --------------------------------------------------------------------

	/**
	 * définit et renvoie les ajouts (js et css) dans l'entête de la page
     * 
     * @access public
	 * @return string Chaine html contenant les ajouts js et css
	 */	
    public function set_title_page()
    {
        return $this -> add_qcm_results_helper -> set_title_page();
    }

	// --------------------------------------------------------------------

    /**
     * Définit et renvoie le mode d'affichage des boites latérales selon le choix sélectionné dans le document
     *
     * @return string
     */
    public function set_sidebars_display_mode()
    {
        return $this -> add_qcm_results_helper -> set_sidebars_display_mode();
    }

	// --------------------------------------------------------------------

    /**
     * Définit et renvoie le chemin de l'icone du document
     *
     * @return string Chemin relatif de l'icone
     */
    public function set_icon_page()
    {
        return $this -> add_qcm_results_helper -> set_icon_page();
    }

	// --------------------------------------------------------------------

} //End of Class