<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.5 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');

class Qcm_questions_helper
{	
    /*
    |--------------------------------------------------------------------------
    | Properties
    |--------------------------------------------------------------------------
    */
    protected $CI; // object global
    protected $_lang = array();     // Données de langue
    protected $_config = array();   // Données de configuration
    
    /*
    |--------------------------------------------------------------------------
    | Constructor
    |--------------------------------------------------------------------------
    */
    function __construct()
    {
        $this -> CI =& Controller :: get_instance();
    }

	// --------------------------------------------------------------------

	/**
	 * retourne la liste des qcm gérés par le rédacteur ou le groupe rédacteur pour ajouter des questions
	 *
	 * @access	protected
	 * @return	array sous la forme array(id => array())
	 */
	public static function get_qcm_allowed_for_manage_questions(Qcm_ids_model $qcm_ids_model, $writer_rights)
    {        
        $qcms = array();
        $authorization = $writer_rights['qcm_questions_qcm_access'];

        if ($authorization == '1') { // Tous les qcms enregistrés (par défaut)           
            $qcms = $qcm_ids_model -> get(array('status' => array('a', 'i')));
        }
        elseif ($authorization == '2') { // Uniquement les qcms sélectionnées
            if (!empty($writer_rights['qcm_questions_qcm_list_allowed'])) {
                $qcms = $qcm_ids_model -> get(array('id' => $writer_rights['qcm_questions_qcm_list_allowed'], 'status' => array('a', 'i')));
            }
        }
        elseif ($authorization == '3') { // Uniquement les qcms créés par le rédacteur
            $qcms = $qcm_ids_model -> get(array('author_id' => $writer_rights['id'], 'status' => array('a', 'i')));
        }

        return $qcms;     
    }

	// --------------------------------------------------------------------

} // End of class