<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.5 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<form action="<?php echo $form_url; ?>" method="post">
<?php include ADMR_VIEWS_PATH.'/fragments/add_input_token_view.php'; ?>
<input type="hidden" name="id" value="<?php echo $params['id']; ?>" />

<?php include ADMR_VIEWS_PATH.'/fragments/add_block_confirm_message_view.php'; ?>

<h4 class="ADMR_title"><?php echo ucfirst($lang['heading_form_recording']); ?>&nbsp;:</h4>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<?php include ADMR_VIEWS_PATH.'/fragments/add_input_author_view.php'; ?>

<?php include ADMR_VIEWS_PATH.'/fragments/add_fieldset_date_publication_view.php'; ?>

<!-- Titre du qcm -->
<fieldset id="admr_doc_title">
<legend><?php echo ucfirst($lang['qcm_title']); ?></legend>
<?php foreach($config['lang'] as $key => $lng) : ?>
    <?php if (!empty($lng)) : ?>
    <p>
    <label>
    <?php include ADMR_VIEWS_PATH.'/fragments/add_language_flag_view.php'; ?>&nbsp;:&nbsp;
    <input data-validation="required" data-validation-error-msg="<?php echo htmlspecialchars($lang['form_errors_msg']['title_required'], ENT_QUOTES, 'UTF-8'); ?>" placeholder="Veuillez mettre un titre" class="texte" type="text" name="params[title<?php echo $key+1; ?>]" size="70" value="<?php echo htmlspecialchars($params['title'.($key+1)], ENT_QUOTES, 'UTF-8'); ?>" />
    </label>
    <?php echo !empty($errors['title'.($key+1)]) ? $errors['title'.($key+1)] : '' ?>
    </p>
    <?php endif; ?>
<?php endforeach; ?>
</fieldset>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<!-- Options du qcm -->
<?php if (!empty($writer_rights[$doc_type['name'].'_answers_choice_manage']) || !empty($writer_rights[$doc_type['name'].'_display_questions_manage'])) : ?>
    <fieldset id="admr_doc_options">
    <legend><?php echo ucfirst($lang['qcm_options']); ?></legend>
        <?php if (!empty($writer_rights[$doc_type['name'].'_answers_choice_manage'])) : ?>
            <p> <!-- Sélection du choix des réponses dans le qcm (choix selon la question ou unique ou multiple) -->
                <label><?php echo ucfirst($lang['select_answers_choice']); ?>&nbsp;:&nbsp;
                    <select name="params[answers_choice]">
                        <?php foreach($answers_choices as $key => $label): ?>
                        <option value="<?php echo $key; ?>" <?php echo ($params['answers_choice'] == $key) ? ' selected="selected"' : ''; ?>><?php echo $label ?></option>
                        <?php endforeach; ?>
                    </select>
                </label>
                <?php echo !empty($errors['answers_choice']) ? $errors['answers_choice'] : '' ?>      
            </p>
        <?php endif; ?>
        <?php if (!empty($writer_rights[$doc_type['name'].'_display_questions_manage'])) : ?>
        <!-- Affichage de toutes les questions sur la même page -->
<!--            <p> 
                <label for="display_questions_in_same_page"><?php echo ucfirst($lang['display_questions_in_same_page']); ?>&nbsp;:&nbsp;</label>
                <label><input id="display_questions_in_same_page" type="radio" value="1" name="params[display_questions_in_same_page]"<?php echo !empty($params['display_questions_in_same_page']) ? ' checked="checked"' : ''; ?> />
                <?php echo ucfirst($lang['yes']); ?></label>
                <span>&nbsp;&nbsp;</span>
                <label><input type="radio" value="0" name="params[display_questions_in_same_page]"<?php echo empty($params['display_questions_in_same_page']) ? ' checked="checked"' : ''; ?> />
                <?php echo ucfirst($lang['no']); ?></label>
                <?php echo !empty($errors['display_questions_in_same_page']) ? $errors['display_questions_in_same_page'] : '' ?>      
            </p>
 -->       
            <p> <!-- Affichage des questions aléatoirement -->
                <label for="display_questions_randomly"><?php echo ucfirst($lang['display_questions_randomly']); ?>&nbsp;:&nbsp;</label>
                <label><input id="display_questions_randomly" type="radio" value="1" name="params[display_questions_randomly]"<?php echo !empty($params['display_questions_randomly']) ? ' checked="checked"' : ''; ?> />
                <?php echo ucfirst($lang['yes']); ?></label>
                <span>&nbsp;&nbsp;</span>
                <label><input type="radio" value="0" name="params[display_questions_randomly]"<?php echo empty($params['display_questions_randomly']) ? ' checked="checked"' : ''; ?> />
                <?php echo ucfirst($lang['no']); ?></label>
                <?php echo !empty($errors['display_questions_randomly']) ? $errors['display_questions_randomly'] : '' ?>      
            </p>
        <?php endif; ?>    
    </fieldset>
    <p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<?php endif; ?>

<!-- Contenu du fichier (introduction) -->
<?php foreach(array('contents_before', 'contents_after') as $contents) : ?>
    <fieldset id="admr_doc_<?php echo $contents; ?>" class="admr_doc_contents">
    <legend><?php echo ucfirst($lang[$contents.'_qcm']); ?></legend>
    <?php foreach($config['lang'] as $key => $lng) : ?>
        <?php if (!empty($lng)) : ?>
        <div>
        <label for="params[<?php echo $contents.($key+1); ?>]">
            <?php include ADMR_VIEWS_PATH.'/fragments/add_language_flag_view.php'; ?>
            <?php echo ucfirst($lang['write_'.$contents.'_qcm']); ?>&nbsp;:&nbsp;
        </label>
        <textarea id="params[<?php echo $contents.($key+1); ?>]" name="params[<?php echo $contents.($key+1); ?>]" rows="8" cols="60" placeholder="<?php echo $lang['click_here_to_add_'.$contents]; ?>"><?php echo htmlspecialchars($params[$contents.($key+1)], ENT_QUOTES, 'UTF-8'); ?></textarea>
        <?php  //Editor_helper :: display_editor('params['.$contents.($key+1).']', $this -> _params[$contents.($key+1)], array('writer_rights' => $writer_rights, 'height' => '200px', 'toolbar' => ADMR_IS_ADMIN ? 'Guppy_in' : 'basic')); ?>
        <?php  Editor_helper :: display_editor('params['.$contents.($key+1).']', $this -> _params[$contents.($key+1)], array('writer_rights' => $writer_rights, 'customConfig' => str_replace(CHEMIN, ADMR_SITE_URL, QCM_CKEDITOR_CONFIG_PATH), 'height' => '200px', 'toolbar' => ADMR_IS_ADMIN ? 'admin' : 'writer')); ?>
        </div>
        <?php endif; ?>
    <?php endforeach; ?>
    </fieldset>
<?php endforeach; ?>

<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>

<!-- Affichage d'une barre de navigation en bas de page -->
<fieldset id="admr_doc_nav_bar">
<legend><?php echo ucfirst($lang['display_nav_bar']); ?></legend>
<?php foreach(array('previous_page', 'next_page') as $page) : ?>
    <fieldset id="admr_doc_<?php echo $page; ?>">
    <legend><?php echo ucfirst($lang['display_link_for_'.$page]); ?></legend>
    <?php foreach($config['lang'] as $key => $lng) : ?>
        <?php if (!empty($lng)) : ?>
        <fieldset>
        <legend><?php include ADMR_VIEWS_PATH.'/fragments/add_language_flag_view.php'; ?></legend>
        <p>
        <label><?php echo ucfirst($lang['label_for_'.$page]); ?>&nbsp;:&nbsp;
        <input type="text" name="params[<?php echo $page.'_label'.($key+1); ?>]" value="<?php echo $params[$page.'_label'.($key+1)]; ?>" />
        </label>
        </p>
        <p>
        <label><?php echo ucfirst($lang['uri_for_'.$page]); ?>&nbsp;:&nbsp;
        <input type="text" name="params[<?php echo $page.'_uri'.($key+1); ?>]" value="<?php echo $params[$page.'_uri'.($key+1)]; ?>" />
        </label>
        </p>
        </fieldset>
        <?php endif; ?>
    <?php endforeach; ?>
    </fieldset>
<?php endforeach; ?>
</fieldset>
<!-- Options de configuration -->
<?php if (empty($params['id']) && !empty($writer_rights[$doc_type['name'].'_act']) // Gestion du status autorisé
          || !empty($writer_rights[$doc_type['name'].'_sidebars_manage']) // Gestion du mode d'affichage des barres latérales
          || !empty($writer_rights[$doc_type['name'].'_icon_manage'])
          || !empty($writer_rights[$doc_type['name'].'_private_group_manage'])) : // Gestion de l'accès au groupe privé autorisée ?>
<p class="submitTop"><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
<fieldset>
<legend><?php echo ucfirst($lang['document_options']); ?></legend>
<?php include ADMR_VIEWS_PATH.'/fragments/add_select_status_view.php'; ?>
<?php include ADMR_VIEWS_PATH.'/fragments/add_select_private_group_view.php'; ?>
<?php include ADMR_VIEWS_PATH.'/fragments/add_select_sidebars_view.php'; ?>
<?php include ADMR_VIEWS_PATH.'/fragments/add_input_icon_choice_view.php'; ?>
    <?php if (ADMR_IS_ADMIN) : ?>
    <p> <!-- Affichage du nom de l'auteur -->
    <span title=""><?php echo ucfirst($lang['display_author']); ?>&nbsp;:&nbsp;</span>
    <label><input type="radio" value="1" name="params[display_author]"<?php echo !empty($params['display_author']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <label><input type="radio" value="0" name="params[display_author]"<?php echo empty($params['display_author']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['no']); ?></label>       
    </p>
    <p> <!-- Affichage de la date de création -->
    <span title=""><?php echo ucfirst($lang['display_create_date']); ?>&nbsp;:&nbsp;</span>
    <label><input type="radio" value="1" name="params[display_create_date]"<?php echo !empty($params['display_create_date']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <label><input type="radio" value="0" name="params[display_create_date]"<?php echo empty($params['display_create_date']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['no']); ?></label>       
    </p>
    <p> <!-- Affichage de la date de modification -->
    <span title=""><?php echo ucfirst($lang['display_modif_date']); ?>&nbsp;:&nbsp;</span>
    <label><input type="radio" value="1" name="params[display_modif_date]"<?php echo !empty($params['display_modif_date']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <label><input type="radio" value="0" name="params[display_modif_date]"<?php echo empty($params['display_modif_date']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['no']); ?></label>       
    </p>
    <p> <!-- Affichage du nombre de vues -->
    <span title=""><?php echo ucfirst($lang['display_nb_views']); ?>&nbsp;:&nbsp;</span>
    <label><input type="radio" value="1" name="params[display_nb_views]"<?php echo !empty($params['display_nb_views']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['yes']); ?></label>
    <span>&nbsp;&nbsp;</span>
    <label><input type="radio" value="0" name="params[display_nb_views]"<?php echo empty($params['display_nb_views']) ? ' checked="checked"' : ''; ?> />
    <?php echo ucfirst($lang['no']); ?></label>       
    </p>
    <?php endif; ?>
</fieldset>
<?php endif; ?>

<p><button title="<?php echo $lang['label_button']['record']; ?>" type="submit"><?php echo $lang['label_button']['record']; ?></button></p>
</form>