<?php
/**
 * Plugin Qcm (addon for plugin Adm_redacteurs)
 * Version  : 1.5 (2021/01/03)
 * Compatibility : Guppy v5.x et v6.00.00 et Adm_redacteurs v6.14+
 * Author   : jérôme CROUX (jchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 */

defined('ADMR_DIRNAME') OR exit('No direct script access allowed');
?>
<?php if (!empty($message)) : ?>
<h4 id="ADMR_block_confirm" class="ADMR_title"><?php echo ucfirst($lang['heading_confirm_recording']); ?>&nbsp;:</h4>
<div class="confirm_recording_success">
<p><strong><?php echo ucfirst($message); ?></strong></p>
</div>
<?php endif; ?>
<h4><?php echo ucfirst($lang['form_control_of_integrity_of_the_data_of_the_plugin']); ?></h4>
<?php include ADMR_VIEWS_PATH.'/fragments/add_block_waiting_process_view.php'; ?>
<!-- rédacteurs -->
<form class="form_check_data_integrity qcm waiting_process" action="<?php echo $form_uri; ?>" method="post">
<input type="hidden" name="token" value="<?php echo $token; ?>" />
<input type="hidden" name="action" value="qcm" />
<fieldset>
<legend><?php echo ucfirst($lang['qcm']); ?></legend>
<p>
<label><input type="radio" name="choice" value="1"<?php echo ($action == 'qcm' && $choice === '1') ? ' checked="checked"' : ''; ?> /><?php echo ucfirst(sprintf($lang['select_all_%s'], $lang['qcm'])); ?></label>
</p>
<p>
<label><input type="radio" name="choice" value="2"<?php echo ($action != 'qcm' || empty($choice) || $choice === '2') ? ' checked="checked"' : ''; ?> /><?php echo ucfirst(sprintf($lang['select_only_%s'], $lang['qcm'])); ?>&nbsp;:&nbsp;</label>
<select name="ids[]" size="5" multiple="multiple">
<?php reset($qcms); ?>
<?php $qcm = current($qcms); ?>
<option value="<?php echo $qcm['id']; ?>"<?php echo ($action != 'qcm' || empty($ids) || in_array($qcm['id'], $ids)) ? ' selected="selected"' : ''; ?>><?php echo $qcm['id'].'&nbsp;:&nbsp;'.$qcm['title1']; ?></option>
<?php next($qcms); ?>
<?php while (list($key, $qcm) = each($qcms)) : ?>
<option value="<?php echo $qcm['id']; ?>"<?php echo ($action == 'qcm' && in_array($qcm['id'], $ids)) ? ' selected="selected"' : ''; ?>><?php echo $qcm['id'].'&nbsp;:&nbsp;'.$qcm['title1']; ?></option>
<?php endwhile; ?>
</select>
</p>
<p><button id="submit_for_qcms" type="submit" name="send"><?php echo ucfirst(sprintf($lang['execute_control_of_integrity_for_%s'], $lang['qcm'])); ?></button></p>
</fieldset>
</form>
<!-- menuitemes rédacteurs -->
<form class="form_check_data_integrity menuitem waiting_process" data-loader-img="<?php echo ADMR_IMG_PATH.'/ajax-loader.gif'; ?>" data-loader-msg="<?php echo ucfirst($lang['please_wait']); ?>" action="<?php echo $form_uri; ?>" method="post">
<input type="hidden" name="token" value="<?php echo $token; ?>" />
<input type="hidden" name="action" value="menuitem" />
<fieldset>
<legend><?php echo ucfirst($lang['menuitems']); ?></legend>
<p>
<label><input type="radio" name="choice" value="1"<?php echo ($action == 'menuitem' && $choice === '1') ? ' checked="checked"' : ''; ?> /><?php echo ucfirst(sprintf($lang['select_all_%s'], $lang['menuitems_linked_to_qcm'])); ?></label>
</p>
<p>
<label><input type="radio" name="choice" value="2"<?php echo ($action != 'menuitem' || empty($choice) || $choice === '2') ? ' checked="checked"' : ''; ?> /><?php echo ucfirst(sprintf($lang['select_only_%s'], $lang['menuitems_linked_to_qcm'])); ?>&nbsp;:&nbsp;</label>
<select name="ids[]" size="5" multiple="multiple">
<?php reset($menuitems); ?>
<?php $menuitem = current($menuitems); ?>
<option value="<?php echo $menuitem['id']; ?>"<?php echo ($action != 'menuitem' || empty($ids) || in_array($menuitem['id'], $ids)) ? ' selected="selected"' : ''; ?>><?php echo $menuitem['id'].'&nbsp;:&nbsp;'.$menuitem['title1']; ?></option>
<?php next($menuitems); ?>
<?php while (list($key, $menuitem) = each($menuitems)) : ?>
<option value="<?php echo $menuitem['id']; ?>"<?php echo ($action == 'menuitem' && in_array($menuitem['id'], $ids)) ? ' selected="selected"' : ''; ?>><?php echo $menuitem['id'].'&nbsp;:&nbsp;'.$menuitem['title1']; ?></option>
<?php endwhile; ?>
</select>
</p>
<p><button type="submit" name="send"><?php echo ucfirst(sprintf($lang['execute_control_of_integrity_for_%s'], $lang['menuitems_linked_to_qcm'])); ?></button></p>
</fieldset>
</form>